## Prerequisites

- Prerequisites: Python + GTK4 + PyGObject, Python-Nautilus and EncFS or FSCrypt.
- For fscrypt / ext4, encrypt feature flag must be enabled: `tune2fs -O encrypt /dev/device`
- [Source archives.](https://apps.fox-echo.info/download/)


## Choose terminal application

Extension is preconfigured to use the [Gnome-Console](https://apps.gnome.org/fr/Console)
terminal emulator; adapt the TERMINAL_CMDLINE in  `nautilus-encryption-plugin.py` script if needed; example:

```sh
sed 's/^\(TERMINAL_CMDLINE\) = .*/\1 = "foot -D"/' -i nautilus-encryption-plugin.py
```

## Install

Download and extract the source archive, then from the project's root folder:

- run: `sudo make install`
- or something like `make install [DESTDIR=$(pwd)/pack]`

To uninstall, run: `sudo make uninstall`.


## Translate

To translate this software into your language, from the project's `po` directory:

1. Setup env:

```sh
LNG=$(echo $LANG | cut -f1 -d_)                         #or LNG="es", LNG="it", ...
```

2. Run: `msginit` (or `msginit -l es_ES.UTF-8` for example).
3. Edit the `$LNG.po` file.
4. Test the translation: `msgfmt -o /usr/share/locale/$LNG/LC_MESSAGES/nautilus-encryption-plugin.mo $LNG.po`.
5. Send me your translation.

